Skip to main content
GET
https://api.aisa.one/apis/v1/financial
/
financial-metrics
/
snapshot
Financial Metrics Snapshot (Real-Time)
curl --request GET \
  --url https://api.aisa.one/apis/v1/financial/financial-metrics/snapshot \
  --header 'Authorization: Bearer <token>'
{
  "snapshot": {
    "ticker": "<string>",
    "market_cap": 123,
    "enterprise_value": 123,
    "price_to_earnings_ratio": 123,
    "price_to_book_ratio": 123,
    "price_to_sales_ratio": 123,
    "enterprise_value_to_ebitda_ratio": 123,
    "enterprise_value_to_revenue_ratio": 123,
    "free_cash_flow_yield": 123,
    "peg_ratio": 123,
    "gross_margin": 123,
    "operating_margin": 123,
    "net_margin": 123,
    "return_on_equity": 123,
    "return_on_assets": 123,
    "return_on_invested_capital": 123,
    "asset_turnover": 123,
    "inventory_turnover": 123,
    "receivables_turnover": 123,
    "days_sales_outstanding": 123,
    "operating_cycle": 123,
    "working_capital_turnover": 123,
    "current_ratio": 123,
    "quick_ratio": 123,
    "cash_ratio": 123,
    "operating_cash_flow_ratio": 123,
    "debt_to_equity": 123,
    "debt_to_assets": 123,
    "interest_coverage": 123,
    "revenue_growth": 123,
    "earnings_growth": 123,
    "book_value_growth": 123,
    "earnings_per_share_growth": 123,
    "free_cash_flow_growth": 123,
    "operating_income_growth": 123,
    "ebitda_growth": 123,
    "payout_ratio": 123,
    "earnings_per_share": 123,
    "book_value_per_share": 123,
    "free_cash_flow_per_share": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ticker
string

The ticker symbol of the company.

cik
string

The Central Index Key (CIK) of the company. Can be used instead of ticker.

Response

Financial metrics snapshot response

snapshot
object